import 'package:flutter/material.dart';

class DismissKeyBoard extends StatelessWidget {
  final Widget child;

  const DismissKeyBoard({
    Key key,
    @required this.child,
  })  : assert(child != null),
        super(key: key);

  @override
  Widget build(BuildContext context) => GestureDetector(
        behavior: HitTestBehavior.translucent,
        onTap: () => FocusScope.of(context).requestFocus(FocusNode()),
        child: child,
      );
}
